Linux下 yum报错 [Errno 14] HTTP Error 404 - Not Found

有哪位大神出面帮我解决一下此问题,centos在使用yum下载安装软件的时候老是报如下错误:
[root@localhost yum.repos.d]# yum install **
已加载插件:fastestmirror, langpacks, presto, refresh-packagekit
Unable to send message to PackageKit
Repository updates is listed more than once in the configuration
Repository updates-debuginfo is listed more than once in the configuration
Repository updates-source is listed more than once in the configuration
Repository fedora is listed more than once in the configuration
Repository fedora-debuginfo is listed more than once in the configuration
Repository fedora-source is listed more than once in the configuration
http://mirrors.sohu.com/fedora/releases/%24releasever/Everything/i386/os/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : http://mirrors.sohu.com/fedora/releases/$releasever/Everything/i386/os/repodata/repomd.xml
尝试其他镜像。
错误:failure: repodata/repomd.xml from fedora: [Errno 256] No more mirrors to try.
http://mirrors.sohu.com/fedora/releases/$releasever/Everything/i386/os/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : http://mirrors.sohu.com/fedora/releases/$releasever/Everything/i386/os/repodata/repomd.xml

6个回答

yum安装过程中报错:repomd.xml: [Errno 14] HTTP Error 404: Not Found Trying other 解决办法
 
查看/etc/yum.repos.d/CentOS-Base.repo  把里面地址:
http://mirror.centos.org/centos/4/os/$basearch/
改成:
 
http://mirror.ce......
答案就在这里:yum安装过程中报错:repomd.xml: [Errno 14] HTTP Error 404: Not Found Trying other 解决办法
----------------------你好,人类,我是来自CSDN星球的问答机器人小C,以上是依据我对问题的理解给出的答案,如果解决了你的问题,望采纳。

网络不可用呗。检查你的网络有没有什么问题。

镜像地址不可用,开vpn试试

这个的意思是你的镜像文件的链接已经过期了,你官网上别的镜像,进去有os文件的,有的版本的镜像文件里面是空的。

可以直接下载安装epel——yum,下载安装后自动生成epel.repo文件,然后你进去启用就可以了,具体链接可以上网去找

可以直接下载安装epel——yum,下载安装后自动生成epel.repo文件,然后你进去启用就可以了,具体链接可以上网去找

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
LINUX下yum命令出错,yum -y(centos)

![图片说明](https://img-ask.csdn.net/upload/201701/14/1484409420_11809.png) 今天根据教程安装ruby环境,然后遇到问题需要执行 yum - y(centos)命令,然后出现这样的情况,有人知道怎么解决吗,安装ruby好烦啊。。。

利用yum.3.2.28.tar.gz安装yum报错

问题如下: 解压后,进入yum.3.2.28目录,执行./yummain.py install yum报错,错误如下: ![图片说明](https://img-ask.csdn.net/upload/201812/18/1545101795_553819.png) 请教怎么解决?

Centos7 yum update报错

![图片说明](https://img-ask.csdn.net/upload/201803/13/1520911461_409980.jpg) 我是本地搭建了两个yum源,之后更新的时候会报这个错误,急急急!

centos6安装mysql5.7出错:yum install mysql-community-server出错

安装mysql5.7,参考教程:https://www.php.cn/mysql-tutorials-386847.html 一开始不知道 地址中的el7应该对应自己的centos版本,直接执行该命令进行下载 ``` wget https://dev.mysql.com/get/mysql57-community-release-el7-11.noarch.rpm ``` 然后执行以下命令也没有报错, ``` yum -y localinstall mysql57-community-release-el7-11.noarch.rpm ``` 但是执行下面命令的时候一直报错 ``` yum -y install mysql-community-server ``` 之后重新下载centos6的版本,安装源 ``` # wget https://dev.mysql.com/get/mysql57-community-release-el6-11.noarch.rpm # yum -y localinstall mysql57-community-release-el6-11.noarch.rpm ``` 然而进行安装的时候还是报错 ``` yum -y install mysql-community-server ``` 原因在于他还是跑去安装el7的版本了 ``` ---> Package mysql-community-server.i686 0:5.7.17-1.el7 will be 安装 ``` 尝试了各种方法,重装了好多次,能删除的就删除,结果一直都是这样 获取mysql-community-server的信息,结果如下: ![图片说明](https://img-ask.csdn.net/upload/201907/25/1563987255_628071.png) 尝试删除无果: ``` [root@localhost ~]# yum remove mysql-community-server 已加载插件:fastestmirror, security 设置移除进程 参数 mysql-community-server 没有匹配 Loading mirror speeds from cached hostfile Package(s) mysql-community-server available, but not installed. 不删除任何软件包 ``` 真的搞了一天,心累啊!如果哪个好心人看到,可以提点提点,真的万分感谢!

Linux系统yum安装http服务总是失败怎么解决?

Linux系统yum安装http服务总是失败 使用yum install httpd -y命令 ,运行后结果如下 [root@VM_0_13_centos ~]# yum install httpd -y Loaded plugins: fastestmirror, langpacks Repository epel is listed more than once in the configuration Loading mirror speeds from cached hostfile No package httpd available. Error: Nothing to do 我用的是腾讯云的服务器 1 核 1 GB 1 Mbps 系统盘:高性能云硬盘 网络:Default-VPC 系统版本是 CENTOS 7.2 这个问题怎么解决啊?弄了好久了,百度各种找不到解决方法...实在是头大,求各位大神指条明路,非常感谢!![图片说明](https://img-ask.csdn.net/upload/201904/12/1555007239_956790.png)

Dockerfile yum报错如何解决

## ## **Dockerfile文件** ![图片说明](https://img-ask.csdn.net/upload/201911/15/1573784781_776747.png) ## **报错信息** ![图片说明](https://img-ask.csdn.net/upload/201911/15/1573784908_731320.png)

linux 执行 yum install perl-Time-HiRes per-devel

[root@xxx mysql]# yum install perl-Time-HiRes per-devel Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile Package 4:perl-Time-HiRes-1.9725-3.el7.x86_64 already installed and latest version No package per-devel available. Nothing to do

redhat安装centos的yum 时出现的问题 求大神解答

在安装这个文件的时候 rpm -ivh yum-metadata-parser-1.1.2-16.el6.x86_64.rpm 的时候 报这个错误 warning: yum-metadata-parser-1.1.2-16.el6.x86_64.rpm: Header V3 RSA/SHA1 Signature, key ID c105b9de: NOKEY error: Failed dependencies: libc.so.6(GLIBC_2.2.5)(64bit) is needed by yum-metadata-parser-1.1.2-16.el6.x86_64 未什么 求大神解答

yum 安装postgresql报错

![图片说明](https://img-ask.csdn.net/upload/201706/02/1496385126_962947.png)

centos下 openstack yum无法安装dashboard

报错 Error: Package: python-django-openstack-auth-1.1.2-1.el6.noarch (openstack-havana) Requires: Django14 Error: Package: python-django-appconf-0.5-3.el6.noarch (openstack-havana) Requires: Django14 Error: Package: python-django-horizon-2013.2.3-1.el6.noarch (openstack-havana) Requires: Django14 You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

linux下yum install mod_ssl –y 出错

在linux下用yum安装apache [root@lamp5403 www]# yum install mod_ssl –y Cluster | 1.3 kB 00:00 Cluster/primary | 6.0 kB 00:00 Cluster 32/32 ClusterStorage | 1.3 kB 00:00 ClusterStorage/primary | 7.5 kB 00:00 ClusterStorage 36/36 Server | 1.3 kB 00:00 Server/primary | 845 kB 00:00 Server 3040/3040 VT | 1.3 kB 00:00 VT/primary | 20 kB 00:00 VT 72/72 rhel-debuginfo | 1.3 kB 00:00 rhel-debuginfo/primary | 845 kB 00:00 rhel-debuginfo 3040/3040 Setting up Install Process Traceback (most recent call last): File "/usr/bin/yum", line 29, in ? yummain.user_main(sys.argv[1:], exit_code=True) File "/usr/share/yum-cli/yummain.py", line 309, in user_main errcode = main(args) File "/usr/share/yum-cli/yummain.py", line 178, in main result, resultmsgs = base.doCommands() File "/usr/share/yum-cli/cli.py", line 349, in doCommands return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds) File "/usr/share/yum-cli/yumcommands.py", line 181, in doCommand return base.installPkgs(extcmds) File "/usr/share/yum-cli/cli.py", line 583, in installPkgs self.install(pattern=arg) File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 2617, in install mypkgs = self.returnPackagesByDep(arg) File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 2334, in returnPackagesByDep sack = self.whatProvides(depname, depflags, depver) File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 170, in whatProvides pkgs = self.pkgSack.searchProvides(name) File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 339, in searchProvides return self._computeAggregateListResult("searchProvides", name) File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 482, in _computeAggregateListResult sackResult = apply(method, args) File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 1017, in searchProvides return self.searchPrco(name, "provides") File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 44, in newFunc return func(*args, **kwargs) File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 945, in searchPrco executeSQL(cur, "select DISTINCT pkgKey from %s where name %s ?" % (prcotype,querytype), (name,)) File "/usr/lib/python2.4/site-packages/yum/sqlutils.py", line 150, in executeSQLPyFormat return cursor.execute(q, p) File "/usr/lib64/python2.4/site-packages/sqlite/main.py", line 249, in execute parms = (self._unicodeConvert(parms[0]),) File "/usr/lib64/python2.4/site-packages/sqlite/main.py", line 217, in _unicodeConvert converted_obj[k] = v.encode(*self.con.encoding) UnicodeEncodeError: 'ascii' codec can't encode character u'\ufffd' in position 0: ordinal not in range(128) 使用了yum clean all 还是不行

Linux yum 无法无法使用

最小化安装 yum无法使用 这是自带的yum源 ![图片说明](https://img-ask.csdn.net/upload/201511/02/1446431634_116796.png) 这是我更改阿里之后的 ![图片说明](https://img-ask.csdn.net/upload/201511/02/1446431612_877773.png) DNS什么的 都没问题,可以ping通百度 ![图片说明](https://img-ask.csdn.net/upload/201511/02/1446431751_308676.png) 找了好多办法,都说DNS的问题,不过我其他机子都使用的这个DNS没问题啊,有说换成谷歌的8.8.8.8.试过,没效果

ftp://192.168.0.9/pub/repo/repodata/repomd.xml: [Errno 14] FTP Error 500 - Access denied: 500 Trying other mirror怎么解决?

![图片说明](https://img-ask.csdn.net/upload/201912/17/1576570287_195383.jpg)我在用华为云做实验,搭了一个客户端ftp的yum源,但是在服务器yum repolist的时候总是出现这个报错,不知道怎么办了? 客户端ip192.168.0.8 服务器ip192.168.0.9

centos7 linux 执行yum (虚拟机下)

[root@sh04181125 network-scripts]# yum install docker Loaded plugins: fastestmirror Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock error was 12: Timeout on http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock: (28, 'Resolving timed out after 30982 milliseconds') One of the configured repositories failed (Unknown), and yum doesn't have enough cached data to continue. At this point the only safe thing yum can do is fail. There are a few ways to work "fix" this: 1. Contact the upstream for the repository and get them to fix the problem. 2. Reconfigure the baseurl/etc. for the repository, to point to a working upstream. This is most often useful if you are using a newer distribution release than is supported by the repository (and the packages for the previous distribution release still work). 3. Disable the repository, so yum won't use it by default. Yum will then just ignore the repository until you permanently enable it again or use --enablerepo for temporary usage: yum-config-manager --disable <repoid> 4. Configure the failing repository to be skipped, if it is unavailable. Note that yum will try to contact the repo. when it runs most commands, so will have to try and fail each time (and thus. yum will be be much slower). If it is a very temporary problem though, this is often a nice compromise: yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true Cannot find a valid baseurl for repo: base/7/x86_64 [root@sh04181125 network-scripts]# ping www.baidu.com ping: unknown host www.baidu.com 内网是通的

yum localinstall 遇到的问题

``` [root@bogon base]# yum localinstall -y gcc-4.8.5-39.el7.x86_64.rpm Loaded plugins: fastestmirror Examining gcc-4.8.5-39.el7.x86_64.rpm: gcc-4.8.5-39.el7.x86_64 Marking gcc-4.8.5-39.el7.x86_64.rpm to be installed Resolving Dependencies --> Running transaction check ---> Package gcc.x86_64 0:4.8.5-39.el7 will be installed --> Processing Dependency: cpp = 4.8.5-39.el7 for package: gcc-4.8.5-39.el7.x86_64 Loading mirror speeds from cached hostfile One of the configured repositories failed (Unknown), and yum doesn't have enough cached data to continue. At this point the only safe thing yum can do is fail. There are a few ways to work "fix" this: 1. Contact the upstream for the repository and get them to fix the problem. 2. Reconfigure the baseurl/etc. for the repository, to point to a working upstream. This is most often useful if you are using a newer distribution release than is supported by the repository (and the packages for the previous distribution release still work). 3. Run the command with the repository temporarily disabled yum --disablerepo=<repoid> ... 4. Disable the repository permanently, so yum won't use it by default. Yum will then just ignore the repository until you permanently enable it again or use --enablerepo for temporary usage: yum-config-manager --disable <repoid> or subscription-manager repos --disable=<repoid> 5. Configure the failing repository to be skipped, if it is unavailable. Note that yum will try to contact the repo. when it runs most commands, so will have to try and fail each time (and thus. yum will be be much slower). If it is a very temporary problem though, this is often a nice compromise: yum-config-manager --save --setopt=<repoid>.skip_if_unavailable=true Cannot retrieve metalink for repository: epel/x86_64. Please verify its path and try again ```

liunx安装yum包后,输入yum clean all报错了,错误如下

![图片说明](https://img-ask.csdn.net/upload/201907/16/1563265208_492531.png) [root@syncsoft136 yum]# yum clean all error: bad option 'archcolor' at (null):96 error: bad option 'archcolor' at (null):96 error: bad option 'archcolor' at (null):96 错误:dbiOpen: dbapi 1 not available 错误:无法从 /var/lib/rpm 打开软件包数据库 CRITICAL:yum.main: Error: rpmdb open failed

使用YUM安装软件提示报错在网上搜寻很多帖子均未能解决问题

[root@iZ94y7aaiclZ tar]# whereis python python: /usr/bin/python2.6 /usr/bin/python /usr/lib/python2.6 /usr/lib64/python2.6 /usr/local/bin/python2.7-config /usr/local/bin/python /usr/local/bin/python2.7 /usr/local/lib/python2.7 /usr/include/python2.6 /usr/share/man/man1/python.1.gz [root@iZ94y7aaiclZ tar]# yum There was a problem importing one of the Python modules required to run yum. The error leading to this problem was: No module named yum Please install a package which provides this module, or verify that the module is installed correctly. It's possible that the above module doesn't match the current version of Python, which is: 2.7.3 (default, Apr 27 2016, 14:59:31) [GCC 4.4.7 20120313 (Red Hat 4.4.7-4)] If you cannot solve this problem yourself, please go to the yum faq at: http ://yum.baseurl.org/wiki/Faq 使用YUM安装软件提示报错, 在网上搜寻很多帖子均未能解决问题. 有说是python的版本问题(比如同时安装了两个版本, 导致版本不匹配), 也找了资料进行配置, 但是还是不行. yum我也重新装了一次, 但是还是无法解决问题. 求给位大虾帮忙解决问题, 感激不尽.

yum安装出错 --skip-broken

各位网友大家好,在安装ffmpeg库的时候出现如下错误,在网上找了几个方法,解决不掉,帖出来,望大家帮帮忙,感激不尽!! ``` [root@localhost asterisk-14.2.0]# yum install ffmpeg 已加载插件:fastestmirror, langpacks Loading mirror speeds from cached hostfile * base: mirrors.cn99.com * epel: mirrors.tuna.tsinghua.edu.cn * extras: mirrors.cqu.edu.cn * linuxtech-release: pkgrepo.linuxtech.net * updates: mirrors.tuna.tsinghua.edu.cn 正在解决依赖关系 --> 正在检查事务 ---> 软件包 ffmpeg.x86_64.0.1.1.5-2.el6 将被 安装 --> 正在处理依赖关系 libswscale.so.2(LIBSWSCALE_2)(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libswresample.so.0(LIBSWRESAMPLE_0)(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libpostproc.so.52(LIBPOSTPROC_52)(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavutil.so.52(LIBAVUTIL_52)(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavformat.so.54(LIBAVFORMAT_54)(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavfilter.so.3(LIBAVFILTER_3)(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavdevice.so.54(LIBAVDEVICE_54)(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavcodec.so.54(LIBAVCODEC_54)(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libswscale.so.2()(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libswresample.so.0()(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libpostproc.so.52()(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavutil.so.52()(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavformat.so.54()(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavfilter.so.3()(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavdevice.so.54()(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libavcodec.so.54()(64bit),它被软件包 ffmpeg-1.1.5-2.el6.x86_64 需要 --> 正在检查事务 ---> 软件包 ffmpeg-libs_1.1.x86_64.0.1.1.5-2.el6 将被 安装 --> 正在处理依赖关系 libgnutls.so.26(GNUTLS_1_4)(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcdio_paranoia.so.0(CDIO_PARANOIA_0)(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcdio_cdda.so.0(CDIO_CDDA_0)(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 librtmp.so.0()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libopenjpeg.so.2()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libgnutls.so.26()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcxcore.so.2.0()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcv.so.2.0()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcdio_paranoia.so.0()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcdio_cdda.so.0()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libass.so.4()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在检查事务 ---> 软件包 ffmpeg-libs_1.1.x86_64.0.1.1.5-2.el6 将被 安装 --> 正在处理依赖关系 libgnutls.so.26(GNUTLS_1_4)(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcdio_paranoia.so.0(CDIO_PARANOIA_0)(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcdio_cdda.so.0(CDIO_CDDA_0)(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libopenjpeg.so.2()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libgnutls.so.26()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcxcore.so.2.0()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcv.so.2.0()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcdio_paranoia.so.0()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 --> 正在处理依赖关系 libcdio_cdda.so.0()(64bit),它被软件包 ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 需要 ---> 软件包 libass.x86_64.0.0.10.0-3.el6 将被 安装 ---> 软件包 librtmp.x86_64.0.2.3-3.el6 将被 安装 --> 正在处理依赖关系 libgnutls.so.26(GNUTLS_1_4)(64bit),它被软件包 librtmp-2.3-3.el6.x86_64 需要 --> 正在处理依赖关系 libgnutls.so.26()(64bit),它被软件包 librtmp-2.3-3.el6.x86_64 需要 --> 解决依赖关系完成 错误:软件包:ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 (linuxtech-release) 需要:libgnutls.so.26(GNUTLS_1_4)(64bit) 错误:软件包:ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 (linuxtech-release) 需要:libopenjpeg.so.2()(64bit) 错误:软件包:ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 (linuxtech-release) 需要:libcdio_cdda.so.0(CDIO_CDDA_0)(64bit) 错误:软件包:librtmp-2.3-3.el6.x86_64 (linuxtech-release) 需要:libgnutls.so.26(GNUTLS_1_4)(64bit) 错误:软件包:ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 (linuxtech-release) 需要:libcdio_paranoia.so.0(CDIO_PARANOIA_0)(64bit) 错误:软件包:ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 (linuxtech-release) 需要:libcdio_cdda.so.0()(64bit) 错误:软件包:ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 (linuxtech-release) 需要:libcv.so.2.0()(64bit) 错误:软件包:ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 (linuxtech-release) 需要:libgnutls.so.26()(64bit) 错误:软件包:librtmp-2.3-3.el6.x86_64 (linuxtech-release) 需要:libgnutls.so.26()(64bit) 错误:软件包:ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 (linuxtech-release) 需要:libcdio_paranoia.so.0()(64bit) 错误:软件包:ffmpeg-libs_1.1-1.1.5-2.el6.x86_64 (linuxtech-release) 需要:libcxcore.so.2.0()(64bit) 您可以尝试添加 --skip-broken 选项来解决该问题 您可以尝试执行:rpm -Va --nofiles --nodigest ```

Linux(centos-8.0)安装wine,yum安装和手动安装都报错,卡这了

# 1.yum安装wine ``` [root@10-7-185-27 wine]# sudo yum -y install wine CentOS-8.0 - AppStream 161 B/s | 162 B 00:01 CentOS-8.0 - Base 38 kB/s | 162 B 00:00 CentOS-8.0 - Extras 48 kB/s | 162 B 00:00 CentOS-8.0 - Plus 161 B/s | 162 B 00:01 Failed to synchronize cache for repo 'AppStream', ignoring this repo. Failed to synchronize cache for repo 'BaseOS', ignoring this repo. Failed to synchronize cache for repo 'extras', ignoring this repo. Failed to synchronize cache for repo 'centosplus', ignoring this repo. Last metadata expiration check: 0:09:27 ago on Mon 04 May 2020 10:43:43 PM HKT. Error: Problem: package wine-4.0.3-1.el7.x86_64 requires wine-twain(x86-64) = 4.0.3-1.el7, but none of the providers can be installed - conflicting requests - nothing provides sane-backends-libs(x86-64) needed by wine-twain-4.0.3-1.el7.x86_64 (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages) ``` # 手动下包,安装 解压完以后输入:./configure --enable-win64 ``` configure: WARNING: prelink not found, base address of core dlls won't be set correctly. configure: WARNING: libxrender development files not found, XRender won't be supported. configure: WARNING: No OpenGL library found on this system. OpenGL and Direct3D won't be supported. configure: WARNING: libxslt development files not found, xslt won't be supported. configure: WARNING: libgnutls development files not found, no schannel support. configure: WARNING: libjpeg development files not found, JPEG won't be supported. configure: WARNING: No sound system was found. Windows applications will be silent. configure: Finished. Do 'make' to compile Wine. ``` 这是最后面的几行 再输入wine -version表示没有wine 小白,求大神指教~谢谢~~

在中国程序员是青春饭吗?

今年,我也32了 ,为了不给大家误导,咨询了猎头、圈内好友,以及年过35岁的几位老程序员……舍了老脸去揭人家伤疤……希望能给大家以帮助,记得帮我点赞哦。 目录: 你以为的人生 一次又一次的伤害 猎头界的真相 如何应对互联网行业的「中年危机」 一、你以为的人生 刚入行时,拿着傲人的工资,想着好好干,以为我们的人生是这样的: 等真到了那一天,你会发现,你的人生很可能是这样的: ...

程序员请照顾好自己,周末病魔差点一套带走我。

程序员在一个周末的时间,得了重病,差点当场去世,还好及时挽救回来了。

Java基础知识面试题(2020最新版)

文章目录Java概述何为编程什么是Javajdk1.5之后的三大版本JVM、JRE和JDK的关系什么是跨平台性?原理是什么Java语言有哪些特点什么是字节码?采用字节码的最大好处是什么什么是Java程序的主类?应用程序和小程序的主类有何不同?Java应用程序与小程序之间有那些差别?Java和C++的区别Oracle JDK 和 OpenJDK 的对比基础语法数据类型Java有哪些数据类型switc...

技术大佬:我去,你写的 switch 语句也太老土了吧

昨天早上通过远程的方式 review 了两名新来同事的代码,大部分代码都写得很漂亮,严谨的同时注释也很到位,这令我非常满意。但当我看到他们当中有一个人写的 switch 语句时,还是忍不住破口大骂:“我擦,小王,你丫写的 switch 语句也太老土了吧!” 来看看小王写的代码吧,看完不要骂我装逼啊。 private static String createPlayer(PlayerTypes p...

和黑客斗争的 6 天!

互联网公司工作,很难避免不和黑客们打交道,我呆过的两家互联网公司,几乎每月每天每分钟都有黑客在公司网站上扫描。有的是寻找 Sql 注入的缺口,有的是寻找线上服务器可能存在的漏洞,大部分都...

Intellij IDEA 实用插件安利

1. 前言从2020 年 JVM 生态报告解读 可以看出Intellij IDEA 目前已经稳坐 Java IDE 头把交椅。而且统计得出付费用户已经超过了八成(国外统计)。IDEA 的...

女程序员,为什么比男程序员少???

昨天看到一档综艺节目,讨论了两个话题:(1)中国学生的数学成绩,平均下来看,会比国外好?为什么?(2)男生的数学成绩,平均下来看,会比女生好?为什么?同时,我又联想到了一个技术圈经常讨...

总结了 150 余个神奇网站,你不来瞅瞅吗?

原博客再更新,可能就没了,之后将持续更新本篇博客。

副业收入是我做程序媛的3倍,工作外的B面人生是怎样的?

提到“程序员”,多数人脑海里首先想到的大约是:为人木讷、薪水超高、工作枯燥…… 然而,当离开工作岗位,撕去层层标签,脱下“程序员”这身外套,有的人生动又有趣,马上展现出了完全不同的A/B面人生! 不论是简单的爱好,还是正经的副业,他们都干得同样出色。偶尔,还能和程序员的特质结合,产生奇妙的“化学反应”。 @Charlotte:平日素颜示人,周末美妆博主 大家都以为程序媛也个个不修边幅,但我们也许...

MySQL数据库面试题(2020最新版)

文章目录数据库基础知识为什么要使用数据库什么是SQL?什么是MySQL?数据库三大范式是什么mysql有关权限的表都有哪几个MySQL的binlog有有几种录入格式?分别有什么区别?数据类型mysql有哪些数据类型引擎MySQL存储引擎MyISAM与InnoDB区别MyISAM索引与InnoDB索引的区别?InnoDB引擎的4大特性存储引擎选择索引什么是索引?索引有哪些优缺点?索引使用场景(重点)...

如果你是老板,你会不会踢了这样的员工?

有个好朋友ZS,是技术总监,昨天问我:“有一个老下属,跟了我很多年,做事勤勤恳恳,主动性也很好。但随着公司的发展,他的进步速度,跟不上团队的步伐了,有点...

我入职阿里后,才知道原来简历这么写

私下里,有不少读者问我:“二哥,如何才能写出一份专业的技术简历呢?我总感觉自己写的简历太烂了,所以投了无数份,都石沉大海了。”说实话,我自己好多年没有写过简历了,但我认识的一个同行,他在阿里,给我说了一些他当年写简历的方法论,我感觉太牛逼了,实在是忍不住,就分享了出来,希望能够帮助到你。 01、简历的本质 作为简历的撰写者,你必须要搞清楚一点,简历的本质是什么,它就是为了来销售你的价值主张的。往深...

魂迁光刻,梦绕芯片,中芯国际终获ASML大型光刻机

据羊城晚报报道,近日中芯国际从荷兰进口的一台大型光刻机,顺利通过深圳出口加工区场站两道闸口进入厂区,中芯国际发表公告称该光刻机并非此前盛传的EUV光刻机,主要用于企业复工复产后的生产线扩容。 我们知道EUV主要用于7nm及以下制程的芯片制造,光刻机作为集成电路制造中最关键的设备,对芯片制作工艺有着决定性的影响,被誉为“超精密制造技术皇冠上的明珠”,根据之前中芯国际的公报,目...

优雅的替换if-else语句

场景 日常开发,if-else语句写的不少吧??当逻辑分支非常多的时候,if-else套了一层又一层,虽然业务功能倒是实现了,但是看起来是真的很不优雅,尤其是对于我这种有强迫症的程序"猿",看到这么多if-else,脑袋瓜子就嗡嗡的,总想着解锁新姿势:干掉过多的if-else!!!本文将介绍三板斧手段: 优先判断条件,条件不满足的,逻辑及时中断返回; 采用策略模式+工厂模式; 结合注解,锦...

离职半年了,老东家又发 offer,回不回?

有小伙伴问松哥这个问题,他在上海某公司,在离职了几个月后,前公司的领导联系到他,希望他能够返聘回去,他很纠结要不要回去? 俗话说好马不吃回头草,但是这个小伙伴既然感到纠结了,我觉得至少说明了两个问题:1.曾经的公司还不错;2.现在的日子也不是很如意。否则应该就不会纠结了。 老实说,松哥之前也有过类似的经历,今天就来和小伙伴们聊聊回头草到底吃不吃。 首先一个基本观点,就是离职了也没必要和老东家弄的苦...

2020阿里全球数学大赛:3万名高手、4道题、2天2夜未交卷

阿里巴巴全球数学竞赛( Alibaba Global Mathematics Competition)由马云发起,由中国科学技术协会、阿里巴巴基金会、阿里巴巴达摩院共同举办。大赛不设报名门槛,全世界爱好数学的人都可参与,不论是否出身数学专业、是否投身数学研究。 2020年阿里巴巴达摩院邀请北京大学、剑桥大学、浙江大学等高校的顶尖数学教师组建了出题组。中科院院士、美国艺术与科学院院士、北京国际数学...

为什么你不想学习?只想玩?人是如何一步一步废掉的

不知道是不是只有我这样子,还是你们也有过类似的经历。 上学的时候总有很多光辉历史,学年名列前茅,或者单科目大佬,但是虽然慢慢地长大了,你开始懈怠了,开始废掉了。。。 什么?你说不知道具体的情况是怎么样的? 我来告诉你: 你常常潜意识里或者心理觉得,自己真正的生活或者奋斗还没有开始。总是幻想着自己还拥有大把时间,还有无限的可能,自己还能逆风翻盘,只不是自己还没开始罢了,自己以后肯定会变得特别厉害...

男生更看重女生的身材脸蛋,还是思想?

往往,我们看不进去大段大段的逻辑。深刻的哲理,往往短而精悍,一阵见血。问:产品经理挺漂亮的,有点心动,但不知道合不合得来。男生更看重女生的身材脸蛋,还是...

为什么程序员做外包会被瞧不起?

二哥,有个事想询问下您的意见,您觉得应届生值得去外包吗?公司虽然挺大的,中xx,但待遇感觉挺低,马上要报到,挺纠结的。

当HR压你价,说你只值7K,你该怎么回答?

当HR压你价,说你只值7K时,你可以流畅地回答,记住,是流畅,不能犹豫。 礼貌地说:“7K是吗?了解了。嗯~其实我对贵司的面试官印象很好。只不过,现在我的手头上已经有一份11K的offer。来面试,主要也是自己对贵司挺有兴趣的,所以过来看看……”(未完) 这段话主要是陪HR互诈的同时,从公司兴趣,公司职员印象上,都给予对方正面的肯定,既能提升HR的好感度,又能让谈判气氛融洽,为后面的发挥留足空间。...

面试:第十六章:Java中级开发

HashMap底层实现原理,红黑树,B+树,B树的结构原理 Spring的AOP和IOC是什么?它们常见的使用场景有哪些?Spring事务,事务的属性,传播行为,数据库隔离级别 Spring和SpringMVC,MyBatis以及SpringBoot的注解分别有哪些?SpringMVC的工作原理,SpringBoot框架的优点,MyBatis框架的优点 SpringCould组件有哪些,他们...

面试阿里p7,被按在地上摩擦,鬼知道我经历了什么?

面试阿里p7被问到的问题(当时我只知道第一个):@Conditional是做什么的?@Conditional多个条件是什么逻辑关系?条件判断在什么时候执...

Python爬虫,高清美图我全都要(彼岸桌面壁纸)

爬取彼岸桌面网站较为简单,用到了requests、lxml、Beautiful Soup4

差点跪了...

最近微信又搞出了一个大利器,甚至都上了热搜,当然消息最敏捷的自媒体人,纷纷都开通了自己的视频号。01 视频号是什么呢?视频号是微信体系内的短视频,它不同...

面试了一个 31 岁程序员,让我有所触动,30岁以上的程序员该何去何从?

最近面试了一个31岁8年经验的程序猿,让我有点感慨,大龄程序猿该何去何从。

Vue回炉重造之router路由(更新中)

你好,我是Vam的金豆之路,可以叫我豆哥。2019年年度博客之星、技术领域博客专家。主要领域:前端开发。我的微信是 maomin9761,有什么疑问可以加我哦,自己创建了一个微信技术交流群,可以加我邀请你一起交流学习。最后自己也创建了一个微信公众号,里面的文章是我自己精挑细选的文章,主要介绍各种IT新技术。欢迎关注哦,微信搜索:臻美IT,等你来。 欢迎阅读本博文,本博文主要讲述【】,文字通...

大三实习生,字节跳动面经分享,已拿Offer

说实话,自己的算法,我一个不会,太难了吧

程序员垃圾简历长什么样?

已经连续五年参加大厂校招、社招的技术面试工作,简历看的不下于万份 这篇文章会用实例告诉你,什么是差的程序员简历! 疫情快要结束了,各个公司也都开始春招了,作为即将红遍大江南北的新晋UP主,那当然要为小伙伴们做点事(手动狗头)。 就在公众号里公开征简历,义务帮大家看,并一一点评。《启舰:春招在即,义务帮大家看看简历吧》 一石激起千层浪,三天收到两百多封简历。 花光了两个星期的所有空闲时...

Java岗开发3年,公司临时抽查算法,离职后这几题我记一辈子

前几天我们公司做了一件蠢事,非常非常愚蠢的事情。我原以为从学校出来之后,除了找工作有测试外,不会有任何与考试有关的事儿。 但是,天有不测风云,公司技术总监、人事总监两位大佬突然降临到我们事业线,叫上我老大,给我们组织了一场别开生面的“考试”。 那是一个风和日丽的下午,我翘着二郎腿,左手端着一杯卡布奇诺,右手抓着我的罗技鼠标,滚动着轮轴,穿梭在头条热点之间。 “淡黄的长裙~蓬松的头发...

大胆预测下未来5年的Web开发

在2019年的ReactiveConf 上,《Elm in Action》的作者Richard Feldman对未来5年Web开发的发展做了预测,很有意思,分享给大家。如果你有机会从头...

立即提问